using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using HySoft.Common;

namespace HySoft.BaseCallCenter.Web.sysmanage
{
    public partial class rolelistedit : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                if (Request.QueryString["action"].ToString() == "Edit")
                {
                    getOrderInformerEdit(Request.QueryString["ID"].ToString());
                }
            }
        }
        private void getOrderInformerEdit(string Flage)
        {
            DataTable dt = new DataTable();
            DataTable dtItems = new DataTable();
            string sql = "select * from T_Sys_RoleInfo where F_RoleId='" + Flage + "'";
            dt = DBUtility.DbHelperSQL.Query(sql).Tables[0];
            if (dt.Rows.Count > 0)
            {
                F_RoleName.Text = dt.Rows[0]["F_RoleName"].ToString();
                F_Remark.Text = dt.Rows[0]["F_Remark"].ToString();
            }
        }
        protected void btnSubmit_Click(object sender, EventArgs e)
        {
            HySoft.BaseCallCenter.Model.T_Sys_RoleInfo orderModel = new Model.T_Sys_RoleInfo();
            HySoft.BaseCallCenter.BLL.T_Sys_RoleInfo orderBll = new BLL.T_Sys_RoleInfo();
            try
            {
                orderModel.F_RoleName = F_RoleName.Text.Trim();
                orderModel.F_RoleCode = "";
                orderModel.F_Remark = F_Remark.Text.Trim();

                if (Request.QueryString["action"] == "Add")
                {
                    if (orderBll.Add(orderModel) > 0)
                    {
                        MessageBoxToWindow("新增成功", "新增提示", "success");
                    }
                    else
                    {
                        MessageBoxToWindow("新增失败", "新增提示！", "error");
                    }
                }
                if (Request.QueryString["action"] == "Edit")
                {
                    orderModel.F_RoleId = Convert.ToInt32(Request.QueryString["ID"]);
                    if (orderBll.Update(orderModel))
                    {
                        MessageBoxToWindow("修改成功", "修改提示！", "success");
                    }
                    else
                    {
                        MessageBoxToWindow("修改失败！", "修改提示！", "error");
                    }
                }
            }
            catch
            {
                MessageBoxToWindow("新增失败！", "新增提示！", "error");
            }

        }

        #region 弹出对话框
        /// <summary>
        /// 弹出对话框
        /// </summary>
        /// <param name="title"></param>
        /// <param name="content"></param>
        /// <param name="type"></param>
        public void MessageBoxToWindow(string title, string content, string type)
        {
            string script = "";
            switch (type)
            {
                case "error"://失败
                    type = "error";
                    script = "<script type='text/javascript'>  $.ligerDialog.alert('" + title + "','" + content + "','" + type + "');</script>";
                    break;
                case "success"://成功
                    type = "info";
                    script = "<script type='text/javascript'> $.ligerDialog.alert('" + title + "','" + content + "','" + type + "',CloseThis);</script>";
                    break;
                case "catch"://异常
                    type = "warning";
                    script = "<script type='text/javascript'>  $.ligerDialog.alert('" + title + "','" + content + "','" + type + "');</script>";
                    break;
                default:
                    type = "question";
                    break;
            }
            ClientScript.RegisterClientScriptBlock(this.GetType(), "", script);
        }
        #endregion
    }
}